summaryrefslogtreecommitdiffstats
path: root/libraries/plib
diff options
context:
space:
mode:
author x-ip2010-05-11 22:54:23 +0200
committer David Somero2010-05-11 22:54:23 +0200
commit11ee0db4e3b83fb1e7c96350c171deaa04e8e94d (patch)
treef8ebdfd4b60088b29fc12445fe2d9981a856102b /libraries/plib
parentd00db7f8a06f40a81a9ffb9c1af780bcd4341361 (diff)
downloadslackbuilds-11ee0db4e3b83fb1e7c96350c171deaa04e8e94d.tar.gz
libraries/plib: Added to 12.1 repository
Diffstat (limited to 'libraries/plib')
-rw-r--r--libraries/plib/README6
-rw-r--r--libraries/plib/plib.SlackBuild72
-rw-r--r--libraries/plib/plib.info8
-rw-r--r--libraries/plib/slack-desc19
4 files changed, 105 insertions, 0 deletions
diff --git a/libraries/plib/README b/libraries/plib/README
new file mode 100644
index 0000000000..2661b9a56a
--- /dev/null
+++ b/libraries/plib/README
@@ -0,0 +1,6 @@
+plib (Steve's Portable Game Library)
+
+PLIB includes sound effects, music, a complete 3D engine, font
+rendering, a simple Windowing library, a game scripting
+language, a GUI, networking, 3D math library and a collection
+of handy utility functions.
diff --git a/libraries/plib/plib.SlackBuild b/libraries/plib/plib.SlackBuild
new file mode 100644
index 0000000000..15235e477b
--- /dev/null
+++ b/libraries/plib/plib.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# Slackware build script for plib
+
+# Written by x-ip (edvm@rcom.com.ar)
+
+PRGNAM=plib
+VERSION=${VERSION:-1.8.5}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS INSTALL README NEWS NOTICE KNOWN_BUGS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Copy the slack-desc (and a custom doinst.sh if necessary) into ./install
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
diff --git a/libraries/plib/plib.info b/libraries/plib/plib.info
new file mode 100644
index 0000000000..9c7cffc9d7
--- /dev/null
+++ b/libraries/plib/plib.info
@@ -0,0 +1,8 @@
+PRGNAM="plib"
+VERSION="1.8.5"
+HOMEPAGE="http://plib.sourceforge.net/index.html"
+DOWNLOAD="http://plib.sourceforge.net/dist/plib-1.8.5.tar.gz"
+MD5SUM="47a6fbf63668c1eed631024038b2ea90"
+MAINTAINER="x-ip"
+EMAIL="edvm@rcom.com.ar"
+APPROVED="David Somero"
diff --git a/libraries/plib/slack-desc b/libraries/plib/slack-desc
new file mode 100644
index 0000000000..af8fc8e6c0
--- /dev/null
+++ b/libraries/plib/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------|
+plib: plib (Steve's Portable Game Library)
+plib:
+plib: PLIB includes sound effects, music, a complete 3D engine, font
+plib: rendering, a simple Windowing library, a game scripting
+plib: language, a GUI, networking, 3D math library and a collection
+plib: of handy utility functions.
+plib:
+plib:
+plib:
+plib:
+plib: